%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		geary
Version:	0.11.3
Release:	%mkrel 1
Summary:	A lightweight email program designed around conversations
License:	LGPLv2+
Group:		Networking/Mail
URL:		https://wiki.gnome.org/Apps/Geary
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# https://git.gnome.org/browse/geary/patch/?id=f2d392bed5ea3cec6c097895ba54ba840e3e3480
BuildRequires:	vala >= 0.22.1
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	cmake
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.30.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(unique-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libnotify) >= 0.7.5
BuildRequires:	pkgconfig(libcanberra) >= 0.28
BuildRequires:	pkgconfig(sqlite3) >= 3.7.4
BuildRequires:	pkgconfig(gmime-2.6) >= 2.6.0
BuildRequires:	pkgconfig(libsecret-1) >= 0.11
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(xml2po)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	waf
Requires:	hicolor-icon-theme

%description
Geary is a new email reader for GNOME designed to let you read your email
quickly and effortlessly. Its interface is based on conversations, so you
can easily read an entire discussion without having to click from message
to message.
Geary is still in early development and has limited features today, but
we're planning to add lightning-fast searching, multiple account support,
and much more. Eventually we'd like Geary to have an extensible plugin
architecture so that developers will be able to add all kinds of nifty
features in a modular way.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DGSETTINGS_COMPILE=OFF \
       -DGSETTINGS_COMPILE_IN_PLACE=OFF \
       -DICON_UPDATE=OFF \
       -DDESKTOP_UPDATE=OFF
%make_build

%install
%make_install -C build

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README THANKS
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/glib-2.0/schemas/org.yorba.geary.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/icons/hicolor/*/actions/*.*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/contractor/%{name}*.contract


%changelog
* Sun Dec 25 2016 ovitters <ovitters> 0.11.3-1.mga6
+ Revision: 1077267
- new version 0.11.3
- dropped merged patch 1

* Fri Oct 07 2016 daviddavid <daviddavid> 0.11.2-1.mga6
+ Revision: 1059309
- add upstream patch to fix build with vala 0.34

  + ovitters <ovitters>
    - new version 0.11.2

* Mon Jun 27 2016 daviddavid <daviddavid> 0.11.1-1.mga6
+ Revision: 1037767
- new version: 0.11.1
- update URL

* Mon May 16 2016 daviddavid <daviddavid> 0.11.0-1.mga6
+ Revision: 1016126
- new version: 0.11.0

* Sun May 01 2016 luigiwalser <luigiwalser> 0.10.0-2.mga6
+ Revision: 1008435
- back to webkit1 for now
- try building with webkit2

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Jun 22 2015 ovitters <ovitters> 0.10.0-1.mga6
+ Revision: 838746
- new version 0.10.0

* Sat Jun 20 2015 ovitters <ovitters> 0.8.3-1.mga6
+ Revision: 836669
- new version 0.8.3
- new version 0.8.2

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 743579
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 ovitters <ovitters> 0.8.1-1.mga5
+ Revision: 737493
- new version 0.8.1

* Sun Sep 21 2014 luigiwalser <luigiwalser> 0.8.0-1.mga5
+ Revision: 701084
- add missing BRs pkgconfig(gcr-3) and waf

  + ovitters <ovitters>
    - new version 0.8.0
    - new version 0.7.2

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Wed Aug 20 2014 ovitters <ovitters> 0.7.1-1.mga5
+ Revision: 666074
- new version 0.7.1

* Sat Jul 19 2014 ovitters <ovitters> 0.7.0-1.mga5
+ Revision: 653717
- new version 0.7.0

* Wed Jul 02 2014 ovitters <ovitters> 0.6.1-1.mga5
+ Revision: 642054
- new version 0.6.1

* Mon Mar 17 2014 ovitters <ovitters> 0.6.0-1.mga5
+ Revision: 604574
- new version 0.6.0

* Tue Mar 04 2014 ovitters <ovitters> 0.5.3-1.mga5
+ Revision: 599282
- new version 0.5.3

* Sat Feb 15 2014 ovitters <ovitters> 0.5.2-1.mga5
+ Revision: 591539
- new version 0.5.2

* Tue Feb 04 2014 dams <dams> 0.5.1-1.mga5
+ Revision: 580683
- new version 0.5.1

* Mon Dec 23 2013 dams <dams> 0.4.3-1.mga4
+ Revision: 560071
- new version 0.4.3

* Thu Nov 28 2013 dams <dams> 0.4.2-1.mga4
+ Revision: 553848
- update source URL
- new version 0.4.2
- remove useless patch and fix for webkitgtk

* Mon Oct 21 2013 umeabot <umeabot> 0.4.0-2.mga4
+ Revision: 539719
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 dams <dams> 0.4.0-1.mga4
+ Revision: 492818
- add a patch to build with 'webkit3-2.2.0'
- new version 0.4.0
- new git snapshot (20130925) to fix upstream #7541 (don't build with WebKitGTK2)
- new git snapshot (20130924)
- new git snapshot (20130920), 0.4.0pr2

  + fwang <fwang>
    - use system webkit gir
    - disable some operations for build
    - build with cmake

* Wed Apr 10 2013 dams <dams> 0.3.1-1.mga3
+ Revision: 409386
- new version 0.3.1

* Fri Mar 29 2013 wally <wally> 0.3.0-2.mga3
+ Revision: 406474
- build with our %%optflags and %%ldflags

* Wed Mar 27 2013 dams <dams> 0.3.0-1.mga3
+ Revision: 405741
- new version 0.3.0
- add patch for .desktop file
- update BR

* Fri Jan 11 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 351183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 dams <dams> 0.2.2-1.mga3
+ Revision: 315088
- add a %%group
- imported package geary

